var tmpl=`
    <gsb-form ref="baseform" :metaData="metaData" isInInline="true">
       <el-form-item slot-scope="scope" style="text-align:right:">
         <el-button size="medium" ref="qclickel" @click="query(scope.formModel)" style="position: absolute;bottom:-60px;right:120px" icon="tool-query" type="default">查询</el-button>
         <el-button size="medium" @click="reset(scope.formModel)" icon="tool-reset" style="position: absolute;bottom:-60px;right:20px" type="default">重置</el-button>
       </el-form-item>
    </gsb-form>
`
module.exports=
`{
   template:'${tmpl}',
   props:['metaData'],
   data:function(){
     return {

     };
   },
   methods:{
     doquery:function(){
        this.$emit("onquery",this.$refs.baseform.formModel);
     },
     query:function(model){
        console.log(JSON.stringify(model));
        this.$emit("onquery",model);
     },
     reset:function(model){
       this.$refs.baseform.reset(model);
     },
     getModel:function(){
      return this.$refs.baseform.formModel;
     }
   },
   vname:"gsb-searchform"
}`
